logging:
  receivers:
    gitlab:
      type: files
      record_log_file_path: true
      include_paths:
        - /var/log/gitlab/gitlab-rails/*_json.log
        - /var/log/gitlab/gitlab-rails/importer.log
        - /var/log/gitlab/sidekiq/current
        - /var/log/gitlab/gitaly/current
  processors:
    parse_json:
      type: parse_json
      time_key: time
      time_format: "%Y-%m-%dT%H:%M:%S.%LZ"
    add_info:
      type: modify_fields
      fields:
        severity:
          move_from: jsonPayload.severity
        jsonPayload.environment_type:
          static_value: {{ lookup('env', 'ENV_REFERENCE_ARCHITECTURE', default='gitlab') }}
        jsonPayload.node_type:
          static_value: {{ ansible_play_name }}
  service:
    pipelines:
      default_pipeline:
        receivers: []
      gitlab:
        receivers: [gitlab]
        processors: [parse_json, add_info]
